Skip to content
Start here

Delete a Notification policy

client.alerting.policies.delete(stringpolicyId, PolicyDeleteParams { account_id } params, RequestOptionsoptions?): PolicyDeleteResponse { errors, messages, success, result_info }
DELETE/accounts/{account_id}/alerting/v3/policies/{policy_id}

Delete a Notification policy.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Notifications WriteAccount Settings Write
ParametersExpand Collapse
policyId: string

The unique identifier of a notification policy

maxLength32
params: PolicyDeleteParams { account_id }
account_id: string

The account id

maxLength32
ReturnsExpand Collapse
PolicyDeleteResponse { errors, messages, success, result_info }
errors: Array<Error>
message: string
code?: number
minimum1000
messages: Array<Message>
message: string
code?: number
minimum1000
success: true

Whether the API call was successful

result_info?: ResultInfo { count, page, per_page, total_count }
count?: number

Total number of results for the requested service

page?: number

Current page within paginated list of results

per_page?: number

Number of results per page of results

total_count?: number

Total results available without any search parameters

Delete a Notification policy

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const policy = await client.alerting.policies.delete('0da2b59ef118439d8097bdfb215203c9', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(policy.errors);
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}